Provide a form of incategory: which covers subcategories as well
OpenPublic

Description

As a Wikipedia user I want the category search results to give me results for the searched category and its subcategories automatically.

See
https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche/Top_20#.E2.80.9ECatScan-Funktionalit.C3.A4t.E2.80.9C_in_die_Software_integrieren (in German).

This is part of the Top 20 wishes of the German community

Author: rd232

Description:
It's currently possible to search incategory:X or -incategory:X, where X is a category name, to include or exclude results categorised in Category:X. However, this does not cover subcategories. This would obviously be useful, particularly on Commons where search is an important way to find media.

This could be a separate keyword, say incategorysub:X. We could also, in addition, extend incategory to specify recursion levels, with incategory:X defaulting to incategory:0:X (just the category specified - no recursion), and incategory:5:X meaning that we want to traverse 5 levels deep, and perhaps incategory:-1:X meaning the same as incategorysub:X.

Obviously, the usefulness of this feature would be enhanced by also addressing Bug 21988 (basically, providing GUI access to advanced search features).


Version: unspecified
Severity: enhancement

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 12:10 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz35402.
bzimport created this task.Via LegacyMar 22 2012, 9:12 AM
bzimport added a comment.Via ConduitApr 29 2013, 3:10 PM

rd232 wrote:

Well it's been a year. Is there any sign of ... anything?

Bawolff added a comment.Via ConduitApr 29 2013, 3:20 PM

Nope :s

Gqqnb added a comment.Via ConduitNov 3 2013, 6:03 AM

If you ever tried to code a similar function, you will understand the flexible structure of mediawiki category makes it difficulty to implement.

One category can have multiple subcategories, and there may have a loop in a category tree(subsubsubcategory of a parent category may be the parent category).

As long as categories of mediawiki remain flexible, I belive this function will not be implemented in the near future.

Deskana added a comment.Via ConduitFeb 11 2014, 1:50 AM

Moving this feature request to CirrusSearch queue to be reassessed at a future date.

Bawolff added a comment.Via ConduitFeb 11 2014, 2:08 AM

See also https://commons.wikimedia.org/wiki/Help:FastCCI which can do this (implemented as a separate program)

Manybubbles added a comment.Via ConduitFeb 11 2014, 2:22 AM

*** Bug 54643 has been marked as a duplicate of this bug. ***

MGChecker added a subscriber: MGChecker.Via WebMay 20 2015, 11:25 AM
jeremyb-phone added a subscriber: jeremyb.Via WebMay 20 2015, 1:36 PM
jeremyb-phone set Security to None.
Spinningspark removed a subscriber: Spinningspark.Via WebMay 20 2015, 2:05 PM
demon removed a subscriber: demon.Via WebMay 20 2015, 5:03 PM
Tobi_WMDE_SW moved this task to Backlog on the German-Community-Wishlist workboard.
Tobi_WMDE_SW moved this task to Sprint ready on the German-Community-Wishlist workboard.
Tobi_WMDE_SW added a project: TCB-Team.Via WebJun 1 2015, 2:36 PM
KasiaWMDE raised the priority of this task from "Lowest" to "Normal".Via WebJun 2 2015, 12:20 PM
KasiaWMDE added a subscriber: Tobi_WMDE_SW.
KasiaWMDE edited the task description. (Show Details)
KasiaWMDE added a subscriber: KasiaWMDE.Via WebJun 2 2015, 12:23 PM
KasiaWMDE moved this task to Work in progress (in Sprint) on the TCB-Team workboard.Via WebJun 3 2015, 10:18 AM
KasiaWMDE moved this task to Work in progress on the German-Community-Wishlist workboard.Via WebJun 3 2015, 11:08 AM
KasiaWMDE edited the task description. (Show Details)Via WebJun 16 2015, 2:26 PM
Restricted Application added a project: Discovery. · View Herald TranscriptVia HeraldJun 16 2015, 2:26 PM
jeremyb-phone added a subscriber: jeremyb-phone.Via WebJun 16 2015, 8:22 PM

There's no assignee but 2 workboards have this in column "Work in progress".

Please clarify @KasiaWMDE.

jeremyb-phone removed a subscriber: jeremyb-phone.Via WebJun 16 2015, 8:23 PM
WMDE-Fisch claimed this task.Via WebJun 17 2015, 8:50 AM
KasiaWMDE added a subscriber: jeremyb-phone.Via WebJun 17 2015, 8:52 AM

@jeremyb-phone Thanks for pointing that out and sorry for the confusion. We have been indeed working on it and the task is claimed now.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptVia HeraldJul 1 2015, 4:07 PM
KasiaWMDE moved this task to Done on the TCB-Team workboard.Via WebThu, Jul 16, 6:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptVia HeraldThu, Jul 16, 6:28 PM
KasiaWMDE moved this task to Done on the German-Community-Wishlist workboard.Via WebThu, Jul 16, 6:46 PM
Deskana added a comment.Via WebThu, Jul 16, 6:50 PM

@KasiaWMDE Can you link to the patch that completed this task, so that it is documented here? Thanks!

KasiaWMDE moved this task to Work in progress on the German-Community-Wishlist workboard.
KasiaWMDE moved this task to Work in progress (in Sprint) on the TCB-Team workboard.Via WebFri, Jul 17, 12:14 PM
KasiaWMDE added a comment.EditedVia WebFri, Jul 17, 12:25 PM

@Deskana We have developed a gadget that enables recursive search but it still has some serious constraints: limits regarding the number of searched categories. We are planning to raise them for next version of the gadget (see T105695). There is no specific patch for the gadget but here is the link to Github https://github.com/wmde/DeepCat-Gadget

Add Comment